Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 226823

Summary: sys-auth/nss-mdns: patch (nss-mdns-0.8-avahi-socket.patch) changes both autotools source and result
Product: Gentoo Linux Reporter: Diego Elio Pettenò (RETIRED) <flameeyes>
Component: New packagesAssignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it <maintainer-needed>
Status: RESOLVED FIXED    
Severity: normal CC: devurandom, eva
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 226305    
Attachments: Updated patch

Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-06-14 17:31:27 UTC
The patch in summary is touching both Makefile.in and Makefile.am, probably to avoid autotools rebuild.

This treatment is usually reserved for a few selected system packages that cannot have their autotool scripts rebuilt.

This _could_ cause maintainermode-driven rebuild (see http://blog.flameeyes.eu/articles/2008/06/13/maintaner-mode ), which is something we should be avoiding as much as possible.

Please just patch Makefile.am and/or configure.in/.ac and rebuild autotools, unless you have very good reasons not to.
Comment 1 Łukasz Damentko (RETIRED) gentoo-dev 2009-03-17 21:56:49 UTC
Moving to maintainer-needed since compnerd left Gentoo (#71985).
Comment 2 Dennis Schridde 2011-02-13 13:43:17 UTC
Fixed in aa117088bc193683a5708b8b6345ab76523d7f90 for sys-auth/nss-mdns-0.10-r1 at kde-overlay.

Keywords += InOverlay
Comment 3 Dennis Schridde 2011-02-13 13:44:56 UTC
Created attachment 262349 [details, diff]
Updated patch

Please review if this matches your suggestion
Comment 4 Pacho Ramos gentoo-dev 2012-02-11 12:29:04 UTC
+*nss-mdns-0.10-r1 (11 Feb 2012)
+
+  11 Feb 2012; Pacho Ramos <pacho@gentoo.org>
+  +files/nss-mdns-0.10-avahi-socket.patch, +nss-mdns-0.10-r1.ebuild,
+  -nss-mdns-0.8.ebuild, -nss-mdns-0.9-r1.ebuild, metadata.xml:
+  Make search-domains optional (bug #201948 by Jonathan Barnard, Dennis
+  Schridde, Paweł Hajdan, Jr. and many others), also fix bug #226823 by
+  flameeyes. Drop old.
+